# $Revision: 1.14 $, $Date: 2012/04/06 19:11:38 $
#
# Conditional build:
%bcond_with	tests	# perform "make test". needs live-id

%define 	module	papyon
Summary:	An implementation of the MSN Messenger Protocol
Name:		python-%{module}
Version:	0.5.6
Release:	2
License:	GPL v2+
Group:		Development/Languages/Python
Source0:	http://www.freedesktop.org/software/papyon/releases/papyon-%{version}.tar.gz
# Source0-md5:	7b9a723e5ba6ee82a9c391676144ad29
Patch0:		%{name}-farstream.patch
URL:		http://www.freedesktop.org/wiki/Software/papyon
BuildRequires:	python >= 1:2.5
BuildRequires:	python-Crypto
BuildRequires:	python-devel
BuildRequires:	python-pyOpenSSL
BuildRequires:	python-pygobject
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python >= 1:2.5
Requires:	python-Crypto >= 2.0.0
Requires:	python-farstream
Requires:	python-gstreamer >= 0.10
Requires:	python-pyOpenSSL >= 0.6
Requires:	python-pygobject >= 2.10.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
papyon is a library, written in Python, for accessing the MSN instant
messaging service.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%{?with_tests:%{__python} test.py}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README doc/user-api.conf
%{py_sitescriptdir}/papyon
%{py_sitescriptdir}/papyon-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-papyon.spec,v $
Revision 1.14  2012/04/06 19:11:38  megabajt
- use farstream instead of obsolete farsight2 (patch from Fedora)
- release 2

Revision 1.13  2011/11/26 18:45:04  glen
- up to 0.5.6

Revision 1.12  2010/11/13 00:20:09  pawelz
- release 2

Revision 1.11  2010/08/23 11:34:44  glen
- up to 0.5.0

Revision 1.10  2010/07/12 09:48:58  glen
- up to 0.4.9

Revision 1.9  2010/07/09 11:22:27  arekm
- release 3

Revision 1.8  2010/07/08 08:25:44  arekm
- release 2

Revision 1.7  2010/06/03 12:03:00  sparky
- BR: python-Crypto

Revision 1.6  2010/05/28 10:53:21  glen
- up to 0.4.8

Revision 1.5  2010/05/19 17:19:13  sparky
- BR: python-devel, python-pygobject

Revision 1.4  2010/04/27 17:10:20  glen
- up to 0.4.6

Revision 1.3  2010/04/18 20:43:38  glen
- up to 0.4.0

Revision 1.2  2009/05/12 14:23:22  glen
- R: python-Crypto

Revision 1.1  2009/05/12 14:15:22  glen
- new, a fork of pymsn (http://telepathy.freedesktop.org/wiki/Pymsn) for amsn2
